{% if shopping_cart and shopping_cart.cart_settings.enabled %}

{% set cart_settings = shopping_cart.cart_settings %}
{% set product_info = shopping_cart.product_info %}

{%- if doc.is_recurring_item and ("price_per_recurrence" in product_info) -%}
	{%- if doc.enabled_recurrence_periods -%}
		{%- set default_recurrence = doc.enabled_recurrence_periods[0].recurrence_period -%}
	{%- else -%}
		{%- set default_recurrence = product_info["price_per_recurrence"].keys() | first -%}
	{%- endif -%}
	{%- set default_recurrence = default_recurrence or None -%}{# cast Jinja errors to None #}
	{%- set recurrence_info = product_info["price_per_recurrence"].get(default_recurrence, None) if default_recurrence else None -%}
{%- endif -%}

{% from "webshop/templates/includes/macros.html" import show_price_display_suffix with context %}

<div class="item-cart row mt-2" data-variant-item-code="{{ item_code }}">
	<div class="col-md-12">
		<!-- Price and Availability -->
		{% if cart_settings.show_price and product_info.price %}
			{% set price_info = product_info.price %}
			{% if doc.enable_item_booking %}
			<div class="product-price">
				<div class="product-price-info">{{ price_info.formatted_price_sales_uom }} {{ show_price_display_suffix() }} / {{ _(product_info.sales_uom) }}</div>
				<div class="text-muted small">
					<span class="credit-chip hidden">
						<svg fill="var(--primary)" height="18px" width="18px" version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 296.477 296.477" xml:space="preserve">
							<g>
								<path d="M244.63,35.621c-21.771-18.635-47.382-29.855-73.767-33.902C121.871-5.797,70.223,11.421,35.622,51.847   c-53.236,62.198-45.972,155.773,16.226,209.01c21.771,18.634,47.381,29.853,73.766,33.901   c48.991,7.517,100.641-9.703,135.241-50.13C314.091,182.431,306.826,88.856,244.63,35.621z M273.361,191.241l-45.305-15.618   c6.102-17.803,6.028-37.107,0.014-54.724l45.257-15.575c3.577,10.453,5.862,21.429,6.74,32.741   C281.489,156.374,279.152,174.388,273.361,191.241z M275.905,104.058c0-0.003,0-0.005,0-0.008   C275.905,104.053,275.905,104.055,275.905,104.058z M247.935,61.472l-36.069,31.332c-2.669-3.055-5.579-5.961-8.752-8.677   c-11.467-9.814-24.81-15.995-38.637-18.692l9.095-46.741c22.33,4.33,43.21,14.294,60.635,29.209   C239.147,52.131,243.728,56.669,247.935,61.472z M103.251,23.983c6.428-2.315,13.021-4.109,19.71-5.388l9.087,46.843   c-17.789,3.467-34.584,12.651-47.393,27.341L48.55,61.38C63.334,44.416,82.206,31.568,103.251,23.983z M23.124,105.236   l45.297,15.617c-6.102,17.803-6.028,37.105-0.015,54.723l-45.295,15.588c-3.562-10.441-5.837-21.4-6.713-32.688   C14.976,140.151,17.32,122.11,23.124,105.236z M48.467,235.066l36.145-31.395c2.669,3.056,5.58,5.964,8.754,8.68   c11.466,9.814,24.808,15.993,38.634,18.691l-9.143,46.997c-22.325-4.348-43.185-14.422-60.604-29.333   C57.288,244.458,52.689,239.898,48.467,235.066z M193.203,272.635c-6.409,2.309-12.986,4.11-19.658,5.403l-9.117-47   c17.789-3.467,34.585-12.651,47.394-27.342l36.121,31.409C233.154,252.087,214.257,265.047,193.203,272.635z"/>
								<circle cx="93.372" cy="53.498" r="8"/>
								<circle cx="38.758" cy="148.382" r="8"/>
								<circle cx="93.623" cy="243.123" r="8"/>
								<circle cx="203.105" cy="242.977" r="8.001"/>
								<circle cx="257.717" cy="148.091" r="8"/>
								<circle cx="202.853" cy="53.351" r="8"/>
							</g>
						</svg>
					</span>
					{% for credit_per_uom in product_info.credits_per_uom %}
					{% set credit_unit = _("Credits") if product_info.credits_per_uom[credit_per_uom] > 1 else _("Credit") %}
					<span class="product-credits-info hidden" id="{{ credit_per_uom }}">{{ product_info.credits_per_uom[credit_per_uom] }} {{ credit_unit }}</span>
					{% endfor %}
				</div>
			</div>
			{% elif recurrence_info %}
			<div class="product-recurrence-price">
				<div class="product-recurrence-info">{{ recurrence_info["formatted_price_sales_uom"] or 0.0 }} {{ show_price_display_suffix() }} / {{ _(recurrence_info["uom"]) }}</div>
			</div>
			{% else %}
			<div class="product-price">
				<!-- Final Price -->
				<span itemprop="offers" itemscope itemtype="https://schema.org/Offer">
					<span itemprop="price" content="{{ price_info.price_list_rate }}">{{ price_info.formatted_price_sales_uom }}</span>
					<span style="display:none;" itemprop="priceCurrency" content="{{ price_info.currency }}">{{ price_info.currency }}</span>
				</span>

				<!-- Striked Price and Discount  -->
				{% if price_info.formatted_mrp %}
					<small class="formatted-price">
						<s>{{ _("MRP {0}").format(price_info.formatted_mrp) }}</s>
					</small>
					<small class="ml-1 formatted-price in-green">
						-{{ price_info.get("formatted_discount_percent") or price_info.get("formatted_discount_rate")}}
					</small>
				{% endif %}

				<!-- Price per UOM -->
				<small class="formatted-price ml-2">
					({{ price_info.formatted_price }} {{ show_price_display_suffix() }} / {{ product_info.uom }})
				</small>
			</div>
			{% endif %}
		{% else %}
			<div class="uom-information">{{ _("UOM") }} : {{ product_info.uom }}</div>
		{% endif %}

		{% if cart_settings.show_stock_availability and not doc.enable_item_booking and not doc.is_recurring_item %}
		<div class="mt-2">
			{% if product_info.get("on_backorder") %}
				<span class="no-stock out-of-stock" style="color: var(--primary-color);">
					{{ _('Available on backorder') }}
				</span>
			{% elif product_info.in_stock == 0 %}
				<span class="no-stock out-of-stock">
					{{ _('Out of stock') }}
				</span>
			{% elif product_info.in_stock == 1 %}
				<span class="in-green has-stock">
					{{ _('In stock') }}
					{% if product_info.show_stock_qty and product_info.stock_qty %}
						({{ product_info.stock_qty }})
					{% endif %}
				</span>
			{% endif %}
		</div>
		{% endif %}

		{% if doc.enable_item_booking and doc.enabled_booking_uom %}
		<div class="mt-2">
			{% for uom in doc.enabled_booking_uom %}
				<button
					data-uom="{{uom.uom}}"
					class="btn btn-secondary btn-change-uom mr-2"
					{% if uom.uom == product_info.sales_uom %}disabled{% endif %}
				>
					<span class="mr-2">
						<svg class="icon icon-xs">
							<use href="#icon-filter"></use>
						</svg>
					</span>
					{{ _(uom.uom) }}
				</button>
			{% endfor %}
		</div>
		{% elif doc.is_recurring_item %}
		<div class="mt-2">
			{% for recurrence_period in doc.enabled_recurrence_periods %}
				<button
					data-recurrence-period="{{recurrence_period.recurrence_period}}"
					class="btn btn-secondary btn-change-recurrence-period mr-2"
					{% if recurrence_period.recurrence_period == doc.enabled_recurrence_periods[0].recurrence_period %}disabled{% endif %}
				>
					<span class="mr-2">
						<svg class="icon icon-xs">
							<use href="#icon-filter"></use>
						</svg>
					</span>
					{{ _(recurrence_period.recurrence_period) }}
				</button>
			{% endfor %}
		</div>
		{% endif %}

		<!-- Offers -->
		{% if doc.offers %}
			<br>
			<div class="offers-heading mb-4">
				<span class="mr-1 tag-icon">
					<svg class="icon icon-lg"><use href="#icon-tag"></use></svg>
				</span>
				<b>{{ _("Available Offers") }}</b>
			</div>
			<div class="offer-container">
				{% for offer in doc.offers %}
				<div class="mt-2 d-flex">
					<div class="mr-2" >
						<svg width="24" height="24" viewBox="0 0 24 24" stroke="var(--yellow-500)" fill="none" xmlns="http://www.w3.org/2000/svg">
							<path d="M19 15.6213C19 15.2235 19.158 14.842 19.4393 14.5607L20.9393 13.0607C21.5251 12.4749 21.5251 11.5251 20.9393 10.9393L19.4393 9.43934C19.158 9.15804 19 8.7765 19 8.37868V6.5C19 5.67157 18.3284 5 17.5 5H15.6213C15.2235 5 14.842 4.84196 14.5607 4.56066L13.0607 3.06066C12.4749 2.47487 11.5251 2.47487 10.9393 3.06066L9.43934 4.56066C9.15804 4.84196 8.7765 5 8.37868 5H6.5C5.67157 5 5 5.67157 5 6.5V8.37868C5 8.7765 4.84196 9.15804 4.56066 9.43934L3.06066 10.9393C2.47487 11.5251 2.47487 12.4749 3.06066 13.0607L4.56066 14.5607C4.84196 14.842 5 15.2235 5 15.6213V17.5C5 18.3284 5.67157 19 6.5 19H8.37868C8.7765 19 9.15804 19.158 9.43934 19.4393L10.9393 20.9393C11.5251 21.5251 12.4749 21.5251 13.0607 20.9393L14.5607 19.4393C14.842 19.158 15.2235 19 15.6213 19H17.5C18.3284 19 19 18.3284 19 17.5V15.6213Z" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
							<path d="M15 9L9 15" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
							<path d="M10.5 9.5C10.5 10.0523 10.0523 10.5 9.5 10.5C8.94772 10.5 8.5 10.0523 8.5 9.5C8.5 8.94772 8.94772 8.5 9.5 8.5C10.0523 8.5 10.5 8.94772 10.5 9.5Z" fill="white" stroke-linecap="round" stroke-linejoin="round"/>
							<path d="M15.5 14.5C15.5 15.0523 15.0523 15.5 14.5 15.5C13.9477 15.5 13.5 15.0523 13.5 14.5C13.5 13.9477 13.9477 13.5 14.5 13.5C15.0523 13.5 15.5 13.9477 15.5 14.5Z" fill="white" stroke-linecap="round" stroke-linejoin="round"/>
						</svg>
					</div>
					<p class="mr-1 mb-1">
						{{ _(offer.offer_title) }}:
						{{ _(offer.offer_subtitle) if offer.offer_subtitle else '' }}
						<a class="offer-details" href="#"
							data-offer-title="{{ offer.offer_title }}" data-offer-id="{{ offer.name }}"
							role="button">
							{{ _("More") }}
						</a>
					</p>
				</div>
				{% endfor %}
			</div>
		{% endif %}

		<!-- Add to Cart / View in Cart, Contact Us -->
		<div class="mt-6 mb-5">
			<div class="mb-4 d-flex">
				<!-- Add to Cart -->
				{% if product_info.price and (cart_settings.allow_items_not_in_stock or product_info.in_stock) %}
					<a href="/cart" class="btn btn-view-in-cart mr-2 font-md btn-primary {% if not doc.enable_item_booking %}hidden{% endif %}"
						role="button">
						{{ _("View in Cart") if cart_settings.enable_checkout else _("View in Quote") }}
					</a>
					{% if not doc.enable_item_booking and not doc.no_add_to_cart %}
					<button
						data-item-code="{{item_code}}"
						data-item-qty=1
						data-item-uom="{{ recurrence_info["uom"] if recurrence_info else product_info.sales_uom }}"
						{% if doc.is_recurring_item %} data-recurrence-period="{{ default_recurrence }}"{% endif %}
						class="btn btn-primary btn-add-to-cart mr-2"
					>
						<span class="mr-2">
							<svg class="icon icon-md">
								<use href="#icon-assets"></use>
							</svg>
						</span>
						{{ _("Add to Cart") if cart_settings.enable_checkout else  _("Add to Quote") }}
					</button>
					{% endif %}
				{% endif %}

				<!-- Contact Us -->
				{% if cart_settings.show_contact_us_button %}
					{% include "templates/generators/item/item_inquiry.html" %}
				{% endif %}
			</div>
		</div>
	</div>
</div>

<script>
	frappe.ready(() => {
		$('.page_content').on('click', '.btn-add-to-cart', (e) => {
			// Bind action on add to cart button
			const $btn = $(e.currentTarget);
			$btn.prop('disabled', true);
			const item_code = $btn.data('item-code');
			const item_qty = parseInt($btn.data('item-qty'));
			const item_uom = $btn.data('item-uom');
			const recurrence_period = $btn.data('recurrence-period');

			webshop.webshop.shopping_cart.update_cart({
				item_code,
				qty: item_qty,
				uom: item_uom,
				recurrence_period: recurrence_period,
				callback(r) {
					$btn.prop('disabled', false);
					if (r.message) {
						$('.btn-add-to-cart, .btn-view-in-cart').toggleClass('hidden');
					}
				}
			});
		});

		$('.page_content').on('click', '.offer-details', (e) => {
			// Bind action on More link in Offers
			const $btn = $(e.currentTarget);
			$btn.prop('disabled', true);

			var d = new frappe.ui.Dialog({
				title: __($btn.data('offer-title')),
				fields: [
					{
						fieldname: 'offer_details',
						fieldtype: 'HTML'
					},
					{
						fieldname: 'section_break',
						fieldtype: 'Section Break'
					}
				]
			});

			frappe.call({
				method: 'webshop.webshop.doctype.website_offer.website_offer.get_offer_details',
				args: {
					offer_id: $btn.data('offer-id')
				},
				callback: (value) => {
					d.set_value("offer_details", value.message);
					d.show();
					$btn.prop('disabled', false);
				}
			})

		});

		{% if doc.enable_item_booking %}
		$('.page_content').on('click', '.btn-change-uom', (e) => {
			// Bind action on add to cart button
			const $btn = $(e.currentTarget);
			$('.page_content').find('.btn-change-uom').each(function() {
				$(this).attr('disabled', false);
			});
			$btn.prop('disabled', true);
			const uom = $btn.data('uom');
			const uom_price = {{ product_info.price_per_uom | json }};
			const uom_credits = {{ product_info.credits_per_uom | json }};

			let price_content = {{ _("Price Not Available") | json }};
			if (Object.keys(uom_price).length && uom_price[uom].formatted_price_sales_uom) {
				price_content = `${uom_price[uom].formatted_price_sales_uom} {{ show_price_display_suffix() }} / ${__(uom)}`
			}

			$('.page_content').find('.product-price-info').html(price_content)
			$('.page_content').find('.uom-information').html(`${__("UOM")} : ${uom}`)
			$('.page_content').find('.btn-add-to-cart').data('item-uom', uom)

			$('.page_content').find(`.product-credits-info`).addClass("hidden")
			if (Object.keys(uom_credits).length && uom_credits[uom] > 0) {
				$('.page_content').find(`.product-credits-info#${uom}`).removeClass("hidden")
				$('.page_content').find('.credit-chip').removeClass("hidden")
			} else {
				$('.page_content').find(`.product-credits-info#${uom}`).addClass("hidden")
				$('.page_content').find('.credit-chip').addClass("hidden")
			}

			erpnext.booking_section_update && erpnext.booking_section_update.trigger("update_calendar", uom)

		});
		{% endif %}


		{% if doc.is_recurring_item %}
		$('.page_content').on('click', '.btn-change-recurrence-period', (e) => {
			// Bind action on add to cart button
			const $btn = $(e.currentTarget);
			$('.page_content').find('.btn-change-recurrence-period').each(function() {
				$(this).attr('disabled', false);
			});
			$btn.prop('disabled', true);
			const recurrence_period = $btn.data('recurrence-period');
			const recurrence_prices = {{ product_info.price_per_recurrence }};

			let price_content = __("Price Not Available");
			if (Object.keys(recurrence_prices).length && recurrence_prices[recurrence_period].formatted_price_sales_uom) {
				price_content = `${recurrence_prices[recurrence_period].formatted_price_sales_uom} / ${__(recurrence_prices[recurrence_period].uom)}`
			}

			const addToCartBtn = $('.page_content').find('.btn-add-to-cart')
			addToCartBtn.data('item-uom', recurrence_prices[recurrence_period].uom)
			addToCartBtn.data('item-qty', recurrence_prices[recurrence_period].qty)
			addToCartBtn.data('recurrence-period', recurrence_period)
			$('.page_content').find('.product-recurrence-info').html(price_content)
		});
		{% endif %}
	});


</script>

{% endif %}
